Uses of Enum Class
org.mockserver.model.Format
Packages that use Format
-
Uses of Format in org.mockserver.client
Methods in org.mockserver.client with parameters of type FormatModifier and TypeMethodDescriptionMockServerClient.retrieveActiveExpectations(RequestDefinition requestDefinition, Format format) Retrieve the active expectations match the httpRequest parameter, use null for the parameter to retrieve all expectationsMockServerClient.retrieveRecordedExpectations(RequestDefinition requestDefinition, Format format) Retrieve the request-response combinations that have been recorded as a list of expectations, only those that match the httpRequest parameter are returned, use null to retrieve all requestsMockServerClient.retrieveRecordedRequests(RequestDefinition requestDefinition, Format format) Retrieve the recorded requests that match the httpRequest parameter, use null for the parameter to retrieve all requestsMockServerClient.retrieveRecordedRequestsAndResponses(RequestDefinition requestDefinition, Format format) Retrieve the recorded requests that match the httpRequest parameter, use null for the parameter to retrieve all requests -
Uses of Format in org.mockserver.model
Methods in org.mockserver.model that return Format